# Interface ContractValue

A contract value; see [[ContractValueInfo]] for more detail

#### Category

User-defined elementary types

#### Hierarchy

- ContractValue

- Defined in codec/lib/format/elementary.ts:250

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {
ensName?: StringValueInfo;
}

#### Type declaration

- ##### `Optional` ensName?: StringValueInfo

- Defined in codec/lib/format/elementary.ts:254

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:252

### type

type: ContractType

- Defined in codec/lib/format/elementary.ts:251

### value

value: ContractValueInfo

- Defined in codec/lib/format/elementary.ts:253

Generated using TypeDoc